# Publications developed or used `GPUMD`

## Preprints (1)

* Zhongwei Zhang, Yangyu Guo, Marc Bescond, Jie Chen, Masahiro Nomura, Sebastian Volz,
[A generalized decay law for particle- and wave-like thermal phonons](https://arxiv.org/abs/2003.02384)
arXiv:2003.02384 [cond-mat.mes-hall]

## 2020 (7)

* Edgar Alejandro Bea, María Florencia Carusela, Alejandro Soba, Alejandro Gabriel Monastra and Agustín Matias Mancardo Viotti, [Thermal conductance of structured Silicon nanocrystals](https://doi.org/10.1088/1361-651X/aba8eb), Modelling Simul. Mater. Sci. Eng. **28**, 075004 (2020).

* Alexander Joseph Gabourie, Saurabh Vinayak Suryavanshi, Amir Barati Farimani, and Eric Pop,
[Reduced Thermal Conductivity of Supported and Encased Monolayer and Bilayer MoS<sub>2</sub>](https://doi.org/10.1088/2053-1583/aba4ed),
2D Materials, Accepted.

* Xin Wu and Qiang Han
[Thermal conductivity of monolayer hexagonal boron nitride: From defective to amorphous](https://doi.org/10.1016/j.commatsci.2020.109938),
Computational Materials Science **184**, 109938 (2020).

* Xin Wu and Qiang Han
[Thermal conductivity of defective graphene: an efficient molecular dynamics study based on graphics processing units](https://doi.org/10.1088/1361-6528/ab73bc),
Nanotechnology **31** 215708 (2020).

* Haikuan Dong, Zheyong Fan, Ping Qian, Tapio Ala-Nissila, and Yanjing Su,
[Thermal conductivity reduction in carbon nanotube by fullerene encapsulation: A molecular dynamics study](https://doi.org/10.1016/j.carbon.2020.01.114),
Carbon **161**, 800 (2020).

* Bo Fu, Kevin D. Parrish, Hyun-Young Kim, Guihua Tang, and Alan J. H. McGaughey,
[Phonon Confinement and Transport in Ultrathin Films](https://doi.org/10.1103/PhysRevB.101.045417),
Phys. Rev. B **101**, 045417 (2020).

* Zheyong Fan, Yanzhou Wang, Xiaokun Gu, Ping Qian, Yanjing Su, and Tapio Ala-Nissila,
[A minimal Tersoff potential for diamond silicon with improved descriptions of elastic and phonon transport properties](https://doi.org/10.1088/1361-648X/ab5c5f),
J. Phys.: Condens. Matter **32**, 135901 (2020).

## 2019 (5)

* Zhen Li, Shiyun Xiong, Charles Sievers, Yue Hu, Zheyong Fan, Ning Wei, Hua Bao, Shunda Chen, Davide Donadio, and Tapio Ala-Nissila,
[Influence of Thermostatting on Nonequilibrium Molecular Dynamics Simulations of Heat Conduction in Solids](https://doi.org/10.1063/1.5132543),
J. Chem. Phys. **151**, 234105 (2019).

* Leyla Isaeva, Giuseppe Barbalinardo, Davide Donadio, and Stefano Baroni,
[Modeling heat transport in crystals and glasses from a unified lattice-dynamical approach](https://doi.org/10.1038/s41467-019-11572-4),
Nature Communications **10**, 3853 (2019).

* Xiaokun Gu, Zheyong Fan, Hua Bao, and CY Zhao,
[Revisiting phonon-phonon scattering in single-layer graphene](https://doi.org/10.1103/PhysRevB.100.064306),
Phys. Rev. B **100**, 064306 (2019).

* Zheyong Fan, Haikuan Dong, Ari Harju, and Tapio Ala-Nissila, 
[Homogeneous nonequilibrium molecular dynamics method for heat transport and spectral decomposition with many-body potentials](https://doi.org/10.1103/PhysRevB.99.064308),
Phys. Rev. B **99**, 064308 (2019).

* Ke Xu, Alexander J Gabourie, Arsalan Hashemi, Zheyong Fan, Ning Wei, Amir Barati Farimani, Hannu-Pekka Komsa, Arkady V Krasheninnikov, Eric Pop, Tapio Ala-Nissila, 
[Thermal transport in MoS<sub>2</sub> from molecular dynamics using different empirical potentials](https://doi.org/10.1103/PhysRevB.99.054303), 
Phys. Rev. B **99**, 054303 (2019).

## 2018 (7)

* Zheyong Fan, Ville Vierimaa, and Ari Harju, [GPUQT: An efficient linear-scaling quantum transport code fully implemented on graphics processing units](https://doi.org/10.1016/j.cpc.2018.04.013), Comput. Phys. Commun. **230**, 113 (2018). 

* Ke Xu, Zheyong Fan, Jicheng Zhang, Ning Wei, Tapio Ala-Nissila, 
[Thermal transport properties of single-layer black phosphorous from extensive molecular dynamics simulations](https://doi.org/10.1088/1361-651X/aae180),
Modelling Simul. Mater. Sci. Eng. **26** 085001 (2018).

* Haikuan Dong, Petri Hirvonen, Zheyong Fan, Tapio Ala-Nissila,
[Heat transport in pristine and polycrystalline single-layer hexagonal boron nitride](https://doi.org/10.1039/C8CP05159C),
Physical Chemistry Chemical Physics **20**, 24602 (2018).

* Ali Rajabpour, Zheyong Fan, S Mehdi Vaez Allaei,
[Inter-layer and intra-layer heat transfer in bilayer/monolayer graphene van der Waals heterostructure: Is there a Kapitza resistance analogous?](https://doi.org/10.1063/1.5025604),
Applied Physics Letters **112**, 233104 (2018).

* Haikuan Dong, Zheyong Fan, Libin Shi, Ari Harju, Tapio Ala-Nissila,
[Equivalence of the equilibrium and the nonequilibrium molecular dynamics methods for thermal conductivity calculations: From bulk to nanowire silicon](https://doi.org/10.1103/PhysRevB.97.094305),
Physical Review B **97**, 094305 (2018).

* Bohayra Mortazavi, Meysam Makaremi, Masoud Shahrokhi, Zheyong Fan, Timon Rabczuk,
[N-graphdiyne two-dimensional nanomaterials: semiconductors with low thermal conductivity and high stretchability](https://doi.org/10.1016/j.carbon.2018.04.090),
Carbon **137**, 57 (2018).

* Petri Hirvonen, Gabriel Martine La Boissonière, Zheyong Fan, Cristian-Vasile Achim, Nikolas Provatas, Ken R Elder, Tapio Ala-Nissila,
[Grain extraction and microstructural analysis method for two-dimensional poly and quasicrystalline solids](https://doi.org/10.1103/PhysRevMaterials.2.103603),
Physical Review Materials **2**, 103603 (2018).

## 2017 (7)

* Zheyong Fan, Luiz Felipe C Pereira, Petri Hirvonen, Mikko M Ervasti, Ken R Elder, Davide Donadio, Tapio Ala-Nissila, Ari Harju,
[Thermal conductivity decomposition in two-dimensional materials: Application to graphene](https://doi.org/10.1103/PhysRevB.95.144309),
Physical Review B **95**, 144309 (2017).

* Zheyong Fan, Andreas Uppstu, Ari Harju,
[Dominant source of disorder in graphene: charged impurities or ripples?](https://doi.org/10.1088/2053-1583/aa529b),
2D Materials **4**, 025004 (2017).

* Zheyong Fan, Wei Chen, Ville Vierimaa, Ari Harju,
[Efficient molecular dynamics simulations with many-body potentials on graphics processing units](https://doi.org/10.1016/j.cpc.2017.05.003),
Computer Physics Communications **218**, 10 (2017).

* Khatereh Azizi, Petri Hirvonen, Zheyong Fan, Ari Harju, Ken R Elder, Tapio Ala-Nissila, S Mehdi Vaez Allaei,
[Kapitza thermal resistance across individual grain boundaries in graphene](https://doi.org/10.1016/j.carbon.2017.09.059),
Carbon **125**, 384	(2017).

* Zheyong Fan, Petri Hirvonen, Luiz Pereira, Mikko Ervasti, Ken Elder, Davide Donadio, Ari Harju, Tapio Ala-Nissila,
[Bimodal grain-size scaling of thermal transport in polycrystalline graphene from large-scale molecular dynamics simulations](https://doi.org/10.1021/acs.nanolett.7b01742),
Nano Letters **17**, 5919 (2017).

* Bohayra Mortazavi, Aurélien Lherbier, Zheyong Fan, Ari Harju, Timon Rabczuk, Jean-Christophe Charlier,
[Thermal and electronic transport characteristics of highly stretchable graphene kirigami](https://doi.org/10.1039/C7NR05231F),
Nanoscale **9**, 16329 (2017).

* Petri Hirvonen, Zheyong Fan, Mikko M Ervasti, Ari Harju, Ken R Elder, Tapio Ala-Nissila,
[Energetics and structure of grain boundary triple junctions in graphene](https://doi.org/10.1038/s41598-017-04852-w),
Scientific Reports **7**, 4754 (2017).


## 2016 (2)

* Petri Hirvonen, Mikko M Ervasti, Zheyong Fan, Morteza Jalalvand, Matthew Seymour, S Allaei, Nikolas Provatas, Ari Harju, Ken R Elder, Tapio Ala-Nissila,
[Multiscale modeling of polycrystalline graphene: A comparison of structure and defect energies of realistic samples from phase field crystal models](https://doi.org/10.1103/PhysRevB.94.035414),
Physical Review B **94**, 035414 (2016).

* Bohayra Mortazavi, Zheyong Fan, Luiz Felipe C Pereira, Ari Harju, Timon Rabczuk,
[Amorphized graphene: A stiff material with low thermal conductivity](https://doi.org/10.1016/j.carbon.2016.03.007),
Carbon **103**, 318 (2016).

## 2015 (1)

* Zheyong Fan, Luiz Felipe C Pereira, Hui-Qiong Wang, Jin-Cheng Zheng, Davide Donadio, Ari Harju,
[Force and heat current formulas for many-body potentials in molecular dynamics simulations with applications to thermal conductivity calculations](https://doi.org/10.1103/PhysRevB.92.094301),
Physical Review B **92**, 094301 (2015).

## 2013 (1)

* Zheyong Fan, Topi Siro, Ari Harju,
[Accelerated molecular dynamics force evaluation on graphics processing units for thermal conductivity calculations](https://doi.org/10.1016/j.cpc.2013.01.008),
Computer Physics Communications **184**, 1414 (2013).
